Index: src/main/java/com/tourMate/entities/HotelRoomReservations.java
===================================================================
--- src/main/java/com/tourMate/entities/HotelRoomReservations.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/entities/HotelRoomReservations.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -17,5 +17,4 @@
     private Date dateTo;
     private Integer numberOfBeds;
-    Boolean reviewed;
 
     public HotelRoomReservations(User user, HotelRoom hotelRoom, Date dateFrom, Date dateTo, Integer numberOfBeds) {
@@ -25,5 +24,4 @@
         this.dateTo = dateTo;
         this.numberOfBeds = numberOfBeds;
-        this.reviewed = false;
     }
 
@@ -43,5 +41,5 @@
     }
 
-    @ManyToOne(fetch = FetchType.EAGER)
+    @ManyToOne(fetch = FetchType.LAZY)
     @JoinColumn(name = "room_id", unique = false, nullable = false, foreignKey = @ForeignKey(name = "fk_ref_od_roomres_kon_room"))
     public HotelRoom getHotelRoom() {
@@ -59,5 +57,5 @@
     }
 
-    @OneToOne(fetch = FetchType.EAGER)
+    @OneToOne(fetch = FetchType.LAZY)
     @JoinColumn(name = "user_id", unique = false, nullable = false, foreignKey = @ForeignKey(name = "fk_ref_od_roomres_kon_user"))
     public User getUser() {
@@ -91,12 +89,4 @@
         this.numberOfBeds = numberOfBeds;
     }
-    @Column(name="reviewed", unique = false)
-    public Boolean getReviewed() {
-        return reviewed;
-    }
-
-    public void setReviewed(Boolean reviewed) {
-        this.reviewed = reviewed;
-    }
 }
 
Index: src/main/java/com/tourMate/entities/HotelsImages.java
===================================================================
--- src/main/java/com/tourMate/entities/HotelsImages.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/entities/HotelsImages.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -15,7 +15,4 @@
         this.hotel = hotel;
         this.url = url;
-    }
-
-    public HotelsImages() {
     }
 
Index: src/main/java/com/tourMate/entities/RestaurantImages.java
===================================================================
--- src/main/java/com/tourMate/entities/RestaurantImages.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/entities/RestaurantImages.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -12,12 +12,4 @@
     private String url;
 
-    public RestaurantImages(Restaurant restaurant, String url) {
-        this.restaurant = restaurant;
-        this.url = url;
-    }
-
-    public RestaurantImages() {
-    }
-
     @Id
     @GeneratedValue(strategy = GenerationType.IDENTITY)
@@ -31,5 +23,5 @@
     }
 
-    @ManyToOne(fetch = FetchType.EAGER)
+    @ManyToOne(fetch = FetchType.LAZY)
     @JoinColumn(name="restaurant_id",unique = false,nullable = false,foreignKey = @ForeignKey(name = "fk_ref_od_restimg_kon_restoran"))
     public Restaurant getRestaurant() {
Index: src/main/java/com/tourMate/entities/RestaurantReservations.java
===================================================================
--- src/main/java/com/tourMate/entities/RestaurantReservations.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/entities/RestaurantReservations.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -17,5 +17,4 @@
     private int noSeats;
     private User user;
-    private Boolean reviewed;
 
     public RestaurantReservations(RestaurantsTable table, Date timeFrom, Date timeTo, int noSeats, User user) {
@@ -25,8 +24,4 @@
         this.noSeats = noSeats;
         this.user = user;
-        this.reviewed = false;
-    }
-
-    public RestaurantReservations() {
     }
 
@@ -42,5 +37,5 @@
     }
 
-    @ManyToOne(fetch = FetchType.EAGER)
+    @ManyToOne(fetch = FetchType.LAZY)
     @JoinColumn(name = "table_id", unique = false, nullable = false, foreignKey = @ForeignKey(name = "fk_ref_od_rezervacija_kon_masa"))
     public RestaurantsTable getTable() {
@@ -82,5 +77,5 @@
     }
 
-    @ManyToOne(fetch = FetchType.EAGER)
+    @ManyToOne(fetch = FetchType.LAZY)
     @JoinColumn(name = "user_id", unique = false, nullable = false, foreignKey = @ForeignKey(name = "fk_ref_od_rezervacija_restoran_kon_korisnik"))
     public User getUser() {
@@ -91,12 +86,3 @@
         this.user = user;
     }
-
-    @Column(name="reviewed", unique = false)
-    public Boolean getReviewed() {
-        return reviewed;
-    }
-
-    public void setReviewed(Boolean reviewed) {
-        this.reviewed = reviewed;
-    }
 }
Index: src/main/java/com/tourMate/entities/RestaurantsAvailible.java
===================================================================
--- src/main/java/com/tourMate/entities/RestaurantsAvailible.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/entities/RestaurantsAvailible.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -11,4 +11,5 @@
 public class RestaurantsAvailible {
     private long restaurantAvailibleId;
+    @JsonIgnore
     private RestaurantsTable restaurantTable;
     @Temporal(TemporalType.TIME)
@@ -17,4 +18,7 @@
     private Date hourTo;
     private int numTables;
+
+    //TODO geteri seteri za numPeople
+    //TODO sredi vo dao i services
 
     public RestaurantsAvailible(RestaurantsTable restaurantTable, Date hourFrom, Date hourTo, int numTables) {
@@ -46,5 +50,5 @@
     }
 
-    @ManyToOne(fetch = FetchType.EAGER)
+    @ManyToOne(fetch = FetchType.LAZY)
     @JoinColumn(name = "table_id", unique = false, nullable = false, foreignKey = @ForeignKey(name = "fk_ref_od_tableavailable_kon_table"))
     public RestaurantsTable getRestaurantTable() {
@@ -75,13 +79,3 @@
         this.hourTo = hourTo;
     }
-
-    @Column(name = "num_tables", unique = false, nullable = true)
-    public int getNumTables() {
-        return numTables;
-    }
-
-    public void setNumTables(int numTables) {
-        this.numTables = numTables;
-    }
-
 }
Index: src/main/java/com/tourMate/entities/Reviews.java
===================================================================
--- src/main/java/com/tourMate/entities/Reviews.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/entities/Reviews.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,5 +1,4 @@
 package com.tourMate.entities;
 
-import com.fasterxml.jackson.annotation.JsonIgnore;
 import jakarta.persistence.*;
 
@@ -13,9 +12,6 @@
     private int numStar;
     private String description;
-    @JsonIgnore
     private Hotels hotel;
-    @JsonIgnore
     private Restaurant restaurant;
-    @JsonIgnore
     private Transport transport;
 
@@ -75,5 +71,5 @@
 
     @ManyToOne(fetch = FetchType.LAZY)
-    @JoinColumn(name = "hotel_id", unique = false, nullable = true, foreignKey = @ForeignKey(name = "fk_ref_od_review_kon_hotel"))
+    @JoinColumn(name = "hotel_id", unique = false, nullable = false, foreignKey = @ForeignKey(name = "fk_ref_od_review_kon_hotel"))
     public Hotels getHotel () {
         return hotel;
@@ -85,5 +81,5 @@
 
     @ManyToOne(fetch = FetchType.LAZY)
-    @JoinColumn(name = "restaurant_id", unique = false, nullable = true, foreignKey = @ForeignKey(name = "fk_ref_od_review_kon_restorani"))
+    @JoinColumn(name = "restaurant_id", unique = false, nullable = false, foreignKey = @ForeignKey(name = "fk_ref_od_review_kon_restorani"))
     public Restaurant getRestaurant () {
         return restaurant;
@@ -95,5 +91,5 @@
 
     @ManyToOne(fetch = FetchType.LAZY)
-    @JoinColumn(name = "transport_id", unique = false, nullable = true, foreignKey = @ForeignKey(name = "fk_ref_od_review_kon_transport"))
+    @JoinColumn(name = "transport_id", unique = false, nullable = false, foreignKey = @ForeignKey(name = "fk_ref_od_review_kon_transport"))
     public Transport getTransport () {
         return transport;
Index: src/main/java/com/tourMate/entities/TransportReservation.java
===================================================================
--- src/main/java/com/tourMate/entities/TransportReservation.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/entities/TransportReservation.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -9,15 +9,23 @@
 @Table(name = "TransportReservation", schema = "public")
 public class TransportReservation {
+    private Transport transport;
     private long reservationID;
-    private TransportRoute transportRoute;
+    private String departureLocation;
+    private String arrivalLocation;
+    @Temporal(TemporalType.DATE)
+    private Date date;
     private Integer noSeats;
     private User user;
-    private Boolean reviewed;
+    @Temporal(TemporalType.TIME)
+    private Date departureHour;
 
-    public TransportReservation(TransportRoute transportRoute, Integer noSeats, User user) {
-        this.transportRoute = transportRoute;
+    public TransportReservation(Transport transport, String departureLocation, String arrivalLocation, Date date, Integer noSeats, User user, Date departureHour) {
+        this.transport = transport;
+        this.departureLocation = departureLocation;
+        this.arrivalLocation = arrivalLocation;
+        this.date = date;
         this.noSeats = noSeats;
         this.user = user;
-        this.reviewed = false;
+        this.departureHour = departureHour;
     }
 
@@ -25,16 +33,12 @@
     }
 
-    @ManyToOne(fetch = FetchType.EAGER)
-    @JoinColumn(name = "transport_route_id", unique = false, nullable = false, foreignKey = @ForeignKey(name = "fk_ref_od_rezervacii_kon_prevozi"))
-    public TransportRoute getTransportRoute() {
-        return transportRoute;
+    @ManyToOne(fetch = FetchType.LAZY)
+    @JoinColumn(name = "transport_id", unique = false, nullable = false, foreignKey = @ForeignKey(name = "fk_ref_od_rezervacii_kon_prevozi"))
+    public Transport getTransport() {
+        return transport;
     }
 
-    public void setTransportRoute(TransportRoute transportRoute) {
-        this.transportRoute = transportRoute;
-    }
-
-    public void setNoSeats(Integer noSeats) {
-        this.noSeats = noSeats;
+    public void setTransport(Transport transport) {
+        this.transport = transport;
     }
 
@@ -48,4 +52,34 @@
     public void setReservationID(long reservationID) {
         this.reservationID = reservationID;
+    }
+
+    @Column(name = "departure_location", unique = false, nullable = false)
+    @NotNull
+    public String getDepartureLocation() {
+        return departureLocation;
+    }
+
+    public void setDepartureLocation(String departureLocation) {
+        this.departureLocation = departureLocation;
+    }
+
+    @Column(name = "arrival_location", unique = false, nullable = false)
+    @NotNull
+    public String getArrivalLocation() {
+        return arrivalLocation;
+    }
+
+    public void setArrivalLocation(String arrivalLocation) {
+        this.arrivalLocation = arrivalLocation;
+    }
+
+    @Column(name = "date", unique = false, nullable = false)
+    @NotNull
+    public Date getDate() {
+        return date;
+    }
+
+    public void setDate(Date date) {
+        this.date = date;
     }
 
@@ -69,12 +103,13 @@
         this.user = user;
     }
-    @Column(name="reviewed", unique = false)
-    public Boolean getReviewed() {
-        return reviewed;
+
+    @Column(name = "departure_hour", unique = false, nullable = false)
+    @NotNull
+    public Date getDepartureHour() {
+        return departureHour;
     }
 
-    public void setReviewed(Boolean reviewed) {
-        this.reviewed = reviewed;
+    public void setDepartureHour(Date departureHour) {
+        this.departureHour = departureHour;
     }
-
 }
Index: src/main/java/com/tourMate/entities/User.java
===================================================================
--- src/main/java/com/tourMate/entities/User.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/entities/User.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -14,5 +14,4 @@
 import java.util.Collections;
 import java.util.Date;
-import java.util.List;
 
 @Entity
@@ -28,5 +27,5 @@
     private String name;
 
-    @Column(name = "surname", unique = false, nullable = true)
+    @Column(name = "surname", unique = false, nullable = false)
     private String surname;
 
@@ -35,16 +34,16 @@
     private String email;
 
-    @Column(name = "password", unique = true, nullable = true)
+    @Column(name = "password", unique = true, nullable = false)
     @NotNull
     private String password;
 
-    @Column(name = "birth_date", unique = false, nullable = true)
+    @Column(name = "birth_date", unique = false, nullable = false)
     @NotNull
     private Date birthDate;
 
-    @Column(name = "address", unique = false, nullable = true)
+    @Column(name = "address", unique = false, nullable = false)
     private String address;
 
-    @Column(name = "contact", unique = false, nullable = true)
+    @Column(name = "contact", unique = false, nullable = false)
     private String contact;
 
@@ -53,15 +52,8 @@
     private Role role;
     @Column(name = "locked", unique = false, nullable = false)
-    boolean locked = false;
+    boolean locked;
 
     @Column(name = "enabled", unique = false, nullable = false)
     boolean enabled;
-
-    @Column(name = "provider", unique = false, nullable = true)
-    String provider;
-
-    @ManyToMany
-    @JsonIgnore
-    List<User> connectedAccounts;
 
 
@@ -104,7 +96,4 @@
     }
 
-    public boolean isLocked() {
-        return locked;
-    }
 
     public long getUserID() {
@@ -128,16 +117,4 @@
     }
 
-    public List<User> getConnectedAccounts() {
-        return connectedAccounts;
-    }
-
-    public void setConnectedAccounts(List<User> connectedAccounts) {
-        this.connectedAccounts = connectedAccounts;
-    }
-
-    public void addConnectedUser(User u)
-    {
-        connectedAccounts.add(u);
-    }
 
     public void setSurname(String surname) {
@@ -185,5 +162,5 @@
     @Override
     public boolean isAccountNonLocked() {
-        return locked;
+        return true;
     }
 
@@ -232,11 +209,3 @@
         this.enabled = enabled;
     }
-
-    public String getProvider() {
-        return provider;
-    }
-
-    public void setProvider(String  provider) {
-        this.provider = provider;
-    }
 }
Index: src/main/java/com/tourMate/services/BusinessManager.java
===================================================================
--- src/main/java/com/tourMate/services/BusinessManager.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/services/BusinessManager.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -8,12 +8,8 @@
     public void createBusiness(Business business, long userId);
     public List<Business> getUnapprovedBusinessesOfUser(long userId);
-
-    void deleteBusiness(long businessId);
-
-    public List<Business> getUnapprovedBusinesses();
-    public void approveBusiness(Long businessId);
+    public void deleteBusiness(long businessId);
+    public List<Business> getCreatedBusinesses();
     public Business findBusinessById (long businessId);
+    public void editBusiness(long businessId, String name, String phone, String address, String edbs, User user, boolean approved);
     public boolean hasBusiness(long userId);
-
-    void editBusiness(long businessId, String name, String phone, String address, String edbs, User user, boolean approved);
 }
Index: src/main/java/com/tourMate/services/HotelManager.java
===================================================================
--- src/main/java/com/tourMate/services/HotelManager.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/services/HotelManager.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -2,6 +2,4 @@
 
 import com.tourMate.dto.HotelDto;
-import com.tourMate.dto.HotelReservationDto;
-import com.tourMate.dto.HotelReservationUserDto;
 import com.tourMate.entities.*;
 
@@ -10,23 +8,24 @@
 
 public interface HotelManager {
-    void createHotel(String hotelName, String hotelDescripiton, String hotelLocation, String hotelEDBS, Boolean parking, Boolean petFriendly, Boolean internetAvailable);
-    void createHotel(Hotels hotel, long userId);
-    List<Hotels> getHotels();
-    List<Hotels> getHotelsForUser(long userId);
-    List<Hotels> getHotelsByLocation(String hotelLocation);
-    void editHotel(long hotelId, String hotelName, String hotelDescripiton, String hotelLocation, String hotelEDBS, Boolean parking, Boolean petFriendly, Boolean internetAvailable);
-    void deleteHotel(long hotelId);
-    Hotels findHotelByID (long hotelId);
-    public List<HotelsImages> getHotelImages(Long hotelId);
-    public void addHotelImage(Long hotel, List<String> url);
+    public void createHotel(String hotelName, String hotelDescripiton, String hotelLocation, String hotelEDBS, Boolean parking, Boolean petFriendly, Boolean internetAvailable);
+    public void createHotel(Hotels hotel, long userId);
+    public List<Hotels> getHotels();
+    public List<Hotels> getHotelsForUser(long userId);
+    public List<Hotels> getHotelsByLocation(String hotelLocation);
+    public void editHotel(long hotelId, String hotelName, String hotelDescripiton, String hotelLocation, String hotelEDBS, Boolean parking, Boolean petFriendly, Boolean internetAvailable);
+    public void deleteHotel(long hotelId);
+    public Hotels findHotelByID (long hotelId);
+    public List<HotelsImages> getHotelImages(Hotels hotels);
+    public void addHotelImage(Hotels hotel, String url);
     public void deleteHotelImage(long hotelImageId);
     public HotelsImages findHotelImageById(long hotelImageId);
     public List<HotelRoom> getRoomsOfHotel (long hotelId);
     public HotelRoom findRoomById (long hotelRoomId);
-    public List<HotelRoomImages> getRoomImages(Long hotelRoom);
-    public void createRoom(Long hotelId, String hotelRoomDescription, String hotelRoomName, Boolean kitchenAvailable, Boolean airConditioning, Boolean balcony, double price, int numOfBeds);
+    public List<HotelRoomImages> getRoomImages(HotelRoom hotelRoom);
+    public void createRoom(Hotels hotel, String hotelRoomDescription, String hotelRoomName, Boolean kitchenAvailable, Boolean airConditioning, Boolean balcony, double price);
     public void editRoom(long hotelRoomId, Hotels hotel, String hotelRoomDescription, String hotelRoomName, Boolean kitchenAvailable, Boolean airConditioning, Boolean balcony, double price);
     public void deleteRoom(long hotelRoomId);
-    public void createRoomAvailible(long hotelRoom, Date dateFrom, Date dateTo, int numberOfBeds);
+    public List<HotelRoomAvailable> getRoomsAvailable(Long id);
+    public void createRoomAvailible(HotelRoom hotelRoom, Date dateFrom, Date dateTo, int numberOfBeds);
     public void editRoomAvailible(long hotelRoomAvailableId, HotelRoom hotelRoom, Date dateFrom, Date dateTo, int numberOfBeds);
     public void editRoomAvailibleReservation(Long HotelRoomAvailableId, Long hotelRoomId, Date from, Date to, int numberOfBeds);
@@ -34,24 +33,13 @@
     public HotelRoomAvailable findAvailibleRoomById(long hotelRoomAvailableId);
     public List<HotelRoomAvailable> getRoomsAvailibility();
-    public List<HotelRoomAvailable> getRoomsAvailableById(Long id);
     public List<HotelRoomAvailable> getRoomsAvailibilityByHotel(Hotels hotel);
-
-    List<HotelRoomReservations> getReservationsInPeriod(String hotelLocation, Date dateFrom, Date dateTo);
-
-    public List<HotelDto> getRoomsAvailibilityByDateAndLocation(String hotelLocation, Date dateFrom, Date dateTo, int numberOfBeds, Boolean flexible);
+    public List<HotelDto> getRoomsAvailibilityByDateAndLocation(String hotelLocation, Date dateFrom, Date dateTo, int numberOfBeds);
     public void createReservation(Long userId, Long hotelRoomId, Long hotelRoomAvailableId, Date dateFrom, Date dateTo, Integer numberOfBeds);
     public void editReservation(long hotelRoomReservedId, User user, HotelRoom hotelRoom, Date dateFrom, Date dateTo, Integer numberOfBeds);
     public void deleteReservation(long hotelRoomReservedId);
-    public List<HotelReservationDto> findVaidReseravtionsByHotel(Long hotelId);
-    public List<HotelReservationUserDto> findValidHotelReservationsByUser(Long userId);
     public HotelRoomReservations findReservationById(long hotelRoomReservedId);
     public List<HotelRoomReservations> findReservationByUser(User user);
     public List<HotelRoomReservations> findReservationByHotel(Hotels hotel);
     public List<HotelRoomReservations> getReservations();
-    public List<Reviews> getReviewsForHotel(Long hotelId);
 
-    List<HotelReservationUserDto> findPastHotelReservationsByUser(Long id);
-
-    void addRoomImage(Long id, List<String> filesToAdd);
-    void setReservationReviewed(Long reservationId);
 }
Index: src/main/java/com/tourMate/services/RestaurantManager.java
===================================================================
--- src/main/java/com/tourMate/services/RestaurantManager.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/services/RestaurantManager.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -2,6 +2,4 @@
 
 import com.tourMate.dto.RestaurantDto;
-import com.tourMate.dto.RestaurantReservationDto;
-import com.tourMate.dto.RestaurantReservationUserDto;
 import com.tourMate.entities.*;
 
@@ -11,86 +9,46 @@
 public interface RestaurantManager {
     public void createRestaurant(Restaurant restaurant, long userId);
-
+    public void deleteRestaurant(long restaurantID);
     public void addMenuToRestaurant(long restaurantId, Menu menu);
-
     public List<Restaurant> getRestaurantsByUser(long userId);
-    public void deleteRestaurant(Long restaurantID);
-
-    void deleteRestaurant(long restaurantID);
+    void deleteHotel(long restaurantID);
 
     public List<Restaurant> getRestaurants();
-
-    public Restaurant findRestaurantByID(long restaurantID);
-
-    public void addRestaurantImage(Long restaurant, List<String> url);
-
+    public Restaurant findRestaurantByID (long restaurantID);
+    public void addRestaurantImage(Restaurant restaurant, String url);
     public void removeRestaurantImage(long restaurantImageId);
-
     public RestaurantImages findRestaurantImageById(long restaurantImageId);
 
     public List<RestaurantImages> getRestaurantImages(long restaurantID);
-
     public void editRestaurant(long restaurantID, String restaurantName, String restaurantLocation, String cousineType, String restaurantDescription, String restaurantEdbs, User restaurantOwner);
-
-    void editReservation(long restaurantsTableId, RestaurantsTable rt, Date hourFrom, Date hourTo, int noSeats, User user);
-
     public List<RestaurantsTable> getRestaurantTables(long restaurantID);
-
-    public List<RestaurantDto> getTablesByDateAndLocation(String restaurantLocation, Date date, String hourFrom, String hourTo, int noSeats);
-
+    public List<RestaurantDto> getTablesByDateAndLocation(String restaurantLocation, Date hourFrom, Date hourTo, int noSeats );
     public RestaurantsTable findTableById(long tableId);
-
     public void createTable(Long restaurantId, int noSeats);
-
     public void editTable(Restaurant restaurant, long tableId, int noSeats);
-
     public void deleteTable(long tableId);
 
-    public void createTableAvailable(Long rt, Date hourFrom, Date hourTo, int numTables);
+    public void createTableAvailable(Long rt, Date hourFrom, Date hourTo);
 
     public void editTableAvailable(long tableId, Restaurant restaurant, int noSeats);
-
     public void deleteTableAvailable(long tableId);
-
+    public List<RestaurantsTable> getTablesAvailability();
     public List<RestaurantsAvailible> getTablesAvailabilityById(Long id);
-
-    RestaurantsAvailible findAvailableReservationByID(long tableId);
+    public void createReservation(Restaurant restaurant, int noSeats);
 
     void createReservation(RestaurantsTable rt, Date dateFrom, Date dateTo, User user);
 
+    public void editReservation(long tableId, Restaurant restaurant, int noSeats);
     public void deleteReservation(long tableId);
+    public RestaurantReservations findReservationByID(long tableId);
+    public List<RestaurantReservations> findAvailableReservationByID();
 
-    public RestaurantReservations findReservationByID(long tableId);
-
-//    List<RestaurantReservations> findAvailableReservationByID(long reservationId);
+    List<RestaurantReservations> findAvailableReservationByID(long reservationId);
 
     public List<RestaurantReservations> findReservationByUser(User user);
-
-    public List<RestaurantReservationDto> findReservationByRestaurant(Long restaurant);
-
+    public List<RestaurantReservations> findReservationByRestaurant(Restaurant restaurant);
     public List<RestaurantReservations> getReservations();
-
     public List<Restaurant> searchByRestaurantName(String restaurantName);
-
     public List<Restaurant> searchByRestaurantLocation(String restaurantLocation);
-
     public List<RestaurantsTable> searchByNoSeats(int noSeats);
-
-    List<Reviews> getReviewsForRestaurant(Long restaurantId);
-
-    void createReservation(Long userId, Long restaurantTableId, Long restaurantAvailibleId, String hourFrom, String hourTo, Date date);
-
-    List<RestaurantReservationUserDto> findValidRestaurantReservationsByUser(Long userId);
-
-    List<RestaurantReservationUserDto> findPastRestaurantReservationsByUser(Long userId);
-
-    List<MenuImages> getMenuImages(Long id);
-
-    void addMenuImage(Long restaurant, List<String> url);
-
-    Menu findMenuById(Long menuId);
-
-    void setReservationReviewed(Long reservationId);
-
-    List<MenuImages> getMenuImagesByRestaurant(long restaurantId);
 }
Index: src/main/java/com/tourMate/services/ReviewManager.java
===================================================================
--- src/main/java/com/tourMate/services/ReviewManager.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/services/ReviewManager.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -9,5 +9,5 @@
 public interface ReviewManager{
 
-    public void createReview(String title, int numStar, String description, Long hotel, Long restaurant, Long transport, Long reservationId);
+    public void createReview(String title, int numStar, String description, Hotels hotel, Restaurant restaurant, Transport transport);
     public void deleteReview(long id);
     public Reviews findReviewById(long id);
Index: src/main/java/com/tourMate/services/TokenManager.java
===================================================================
--- src/main/java/com/tourMate/services/TokenManager.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
+++ src/main/java/com/tourMate/services/TokenManager.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -0,0 +1,9 @@
+package com.tourMate.services;
+
+import com.tourMate.entities.Token;
+
+public interface TokenManager {
+    public void saveToken(Token token);
+    public Token getToken(String token);
+    public void setConfirmedAt(String token);
+}
Index: src/main/java/com/tourMate/services/TransportManager.java
===================================================================
--- src/main/java/com/tourMate/services/TransportManager.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/services/TransportManager.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -4,5 +4,4 @@
 import com.tourMate.dto.TransportDto;
 import com.tourMate.dto.TransportListingDto;
-import com.tourMate.dto.TransportReservationUserDto;
 import com.tourMate.entities.*;
 
@@ -13,5 +12,5 @@
 public interface TransportManager {
 
-    public void createTransport(String transportName, String carBrand, String carType, int carManufacturedYear, int noPassengers, int noBags, long EMBG, Long userId, String carPlate);
+    public void createTransport(String transportName, String carBrand, String carType, int carManufacturedYear, int noPassengers, int noBags, long EMBG, User owner, String carPlate);
 
     public void deleteTransport(long transportId);
@@ -23,12 +22,9 @@
     public TransportDto findTransportById (long transportId);
 
-    Transport getTransportById(Long transportId);
-
     public void editTransport(long transportID, String transportName, String carBrand, String carType, int carManufacturedYear, int noPassengers, int noBags, long EMBG, User owner, String carPlate);
 
-    public void createTransportReservation(Long transportRouteId, Long userId, int noSeats);
+    public void createTransportReservation(Transport transport, String departureLocation, String arrivalLocation, Date date, Integer noSeats, User user, Date departureHour);
+
     public TransportReservation findTransportReservationByID(long reservationID);
-
-    List<TransportReservation> findTransportReservationByTransportId(long reservationID);
 
     public List<TransportReservation> getTransportReservations();
@@ -37,7 +33,5 @@
     public Transport getTransportById(long transportId);
 
-    List<Reviews> getReviewsForTransport(long transportId);
-
-    public List<TransportListingDto> getTransportsAvailableByFilters (String from, String to, Date date, int numPassengers);
+    public List<TransportListingDto> getTransportsAvailableByFilters (String from, String to, Date date);
 
     public List<TransportReservation> getTransportsReservationsByUserID(long userID);
@@ -45,5 +39,8 @@
     public List<TransportAvailible> getTransportsAvailable();
 
-    public void createTransportAvailable(TransportAvailible transportAvailible, Transport transport, String departureLocation, String arrivalLocation, Date date, Integer noSeats, Date departureHour, Long trnasportId, Collection<TransportRoute> routes);
+    public void createTransportAvailable(Transport transport, String departureLocation, String arrivalLocation, Date date, Integer noSeats, Date departureHour, Collection<TransportRoute> routes);
+
+    public void editTransportReservation(Transport transport, long reservationID, String departureLocation, String arrivalLocation, Date date, Integer noSeats, User user, Date departureHour);
+
     public void editTransportAvailable(Transport transport, long availableID, String departureLocation, String arrivalLocation, Date date, Integer noSeats, Date departureHour);
 
@@ -59,9 +56,4 @@
 
 
-    List<TransportReservationUserDto> findValidTransportReservationsByUser(Long userId);
-
-    List<TransportReservationUserDto> findPastTransportReservationsByUser(Long userId);
-
-    void setReservationReviewed(Long reservationId);
 }
 
Index: src/main/java/com/tourMate/services/UsersManager.java
===================================================================
--- src/main/java/com/tourMate/services/UsersManager.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/services/UsersManager.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,5 +1,4 @@
 package com.tourMate.services;
 
-import com.tourMate.dto.PrincipalInfo;
 import com.tourMate.entities.User;
 
@@ -17,14 +16,3 @@
 
     public void editUser(long userID, String name, String surname, String email, Date birthDate, String address, String contact);
-    public List<User> getUnapprovedUsers();
-    public void approveUserProfile(long userId);
-
-    void unlock(Long id);
-
-    List<User> getAdmins();
-
-    void connectAccount(Long id, String username, String password);
-
-    List<User> findConnectedAccountsByUser(Long id);
-    PrincipalInfo getPrincipalInfo(Long userId);
 }
